View Issue Details

IDProjectCategoryView StatusLast Update
0002236SketcherBugpublic2015-09-07 18:34
ReporterchrisAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64BitOSUbuntuOS Version14.04.6 LTS
Product Version 
Target VersionFixed in Version0.16 
Summary0002236: Issue with Insert lenght Dialog box entry field
DescriptionSince last updates i started to have this issue who is very ennoying.
When you are in sketcher and you want to add the length constrain in the insert lenght dialoge box entry field with the numeric keypad the first value is entered en de second is behind the unit .
Ex: is i want 12mm i type 12 and i have 12mm.
Now with this issue is i type 12 it is 1 mm2.
If i need 12 mm i need to type 012 and i have 12mm.
This was not before.

Version of Freecad is 0.16 rev 5421 (Git) release 2015/08/31 21:17:29
Steps To ReproduceIdem as above
Additional InformationOn ubuntu 14.10 64 bit with version of freecad 0.16 rev 5239 (Git) rel: 2015/07/22 20:51:55 i do not have the issue
TagsNo tags attached.

Relationships

has duplicate 0002237 closedyorik FreeCAD In 0.16 Rev 5432 (Git) Entering numbers is garbled, after first digit cursor jumps to end of field 

Activities

chris

2015-09-01 17:46

reporter  

free.png (173,872 bytes)
free.png (173,872 bytes)

chris

2015-09-01 18:23

reporter   ~0006317

No issues with 0.15

bejant

2015-09-02 10:33

reporter   ~0006319

Someone else also reported this as issue 2237:
http://www.freecadweb.org/tracker/view.php?id=2237

and a forum thread regarding this problem is here:
http://forum.freecadweb.org/viewtopic.php?f=3&t=12278

chris

2015-09-02 14:13

reporter   ~0006325

Would be nice to understand the thread.
My version is installed from ppa and not the source code.
More help of how to solve this would be nice to have in the Thread.

quick61

2015-09-06 15:53

reporter   ~0006336

A fix is proposed in this post - http://forum.freecadweb.org/viewtopic.php?f=3&t=12278&start=10#p99324 - in the above mentioned thread.

Related Changesets

FreeCAD: master b4e3fcb4

2015-09-06 19:14:45

f3nix


Committer: yorik Details Diff
Fix for bugs 0002236 & 0002237 Affected Issues
0002236, 0002237
mod - src/Gui/QuantitySpinBox.cpp Diff File

Issue History

Date Modified Username Field Change
2015-09-01 17:46 chris New Issue
2015-09-01 17:46 chris File Added: free.png
2015-09-01 18:23 chris Note Added: 0006317
2015-09-02 10:33 bejant Note Added: 0006319
2015-09-02 14:13 chris Note Added: 0006325
2015-09-02 16:05 yorik Relationship added has duplicate 0002237
2015-09-06 15:53 quick61 Note Added: 0006336
2015-09-07 18:32 yorik Changeset attached => FreeCAD Master master b4e3fcb4
2015-09-07 18:34 yorik Status new => closed
2015-09-07 18:34 yorik Assigned To => yorik
2015-09-07 18:34 yorik Resolution open => fixed
2015-09-07 18:34 yorik Fixed in Version => 0.16